#!/bin/bash

# install bzr
gksu apt-get install bzr

# download fbuntu
cd ~
bzr branch lp:fbuntu

# move fbuntu into to a hidden folder
mkdir -p ~/.fbuntu
mv fbuntu .fbuntu/
cd .fbuntu
mv fbuntu bin
cd bin

# setup fbuntu icon
mkdir -p ~/.icons
cp facebook.png ~/.icons/

# make fbuntu autostart
sed "s,\/home\/username,$HOME," FBuntu.desktop > FBuntu.desktop2
rm FBuntu.desktop
mv FBuntu.desktop2 FBuntu.desktop
chmod +x FBuntu.desktop
mkdir -p ~/.config/autostart/
cp FBuntu.desktop ~/.config/autostart/

# open web browser
xdg-open "https://www.facebook.com/dialog/oauth?client_id=110106089068031&redirect_uri=https://www.facebook.com/connect/login_success.html&response_type=token&scope=read_mailbox,read_requests,offline_access,manage_notifications"

# proccess input
szAnswer=$(zenity --entry --text "Please go to your web browser (which has just opened)\n and give FBuntu the required permissions.\n\n Once you have done so, copy the whole URL of the page that has\n just loaded into the box below." --entry-text ""); echo $szAnswer
szAnswer=$(echo "$szAnswer" | sed 's/&/\\&/')
sed "s,https:\/\/...,$szAnswer," auth.py.example > auth.py

# run fbuntu!
zenity --info --text "FBuntu installation finished, it's in your messaging menu now\!\nFBuntu will automatically startup whenever you log in."
python fbuntu.py
